
.main a{
    padding: 16.5px 48px 16.5px 48px;
    font-size: 16px;
    border-radius: 30px;
    text-decoration: none;
    text-align: center;
}

.circle-nav a{
    padding: 0;
}

:root{
    --main-gold-color: #C29F6A;
    --main-blue-color: #16ECF7;
    --main-grey-color: #707372;
    --main-black-color: #313031;
    --main-black2-color: #2E2D2E;
  }

/** PAGE CONTACT **/

.row {
    margin: 0;
    padding: 0;
}

.contact-section{
    min-height: 100dvh;
    background-color: #2b2b2b;
    /*background-image: url(/webroot/img/escalier.jpg);*/
    background-repeat: no-repeat;
    background-size: cover;
    
}

.leaflet-container .leaflet-control-container .leaflet-top .leaflet-control-browse{
    display: none !important;
}

/** TITRE CONTACT **/

.titre-page-contact{
    margin: 0;
    padding: 0;
    padding-left: 8vw;
}

.titre-page-contact h1{
    font-family: 'Montserrat-Medium';
    font-size: 15px;
    color: #E0E0E0;
    text-transform: uppercase;
    margin: 0;
}

.titre-contact {
    margin: 0;
    padding: 0;
    font-size: 50px;
    font-weight: bold;
    font-family: 'Montserrat-Bold';
    color: #c29f6a;
    letter-spacing: 2px;
    width: auto;
    margin-bottom: 35px;
    text-align: start;
}

.description-contact{
    color: #fff;
    width: 35vw;
    font-family: 'Montserrat-Regular';
}

.maps-iframe{
    z-index: 99;
    position: absolute;
    border-radius: 20px;
    right: 13%;
    width: 35vw;
}

.box-bg-maps{
    z-index: 0;
    position: absolute;
    height: 380px;
    width: 30vw;
    right: 10%;
    top: 15%;
    background-color: rgba(128, 128, 128, 0.377);
    border-radius: 20px;
}

/** ADRESSE, TEL **/


.icon-img{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 75px;
    height: 75px;
    position: absolute;
    top: -35%;
    overflow: hidden;
    border-radius: 50%;
    box-shadow: 0px 0px 2px white;
    background: #2b2b2b;
}

.icon-map{
    height: 25px;
}

.icon-mail {
    height: 20px;
}

.icon-list {
    height: 15px;
}

.englob-title-text-contact{
    display: flex;
    justify-content: flex-start;
    flex-direction: column;
}

.englob-title-text-contact h2{
    font-family: 'Montserrat-Medium';
    font-size: 15px;
    color: #E0E0E0;
    margin: 0;
    text-transform: uppercase;
    margin-left: 5px;
}


.every-text-contact{
    justify-content: space-evenly;
    margin-top: 12%;
}
.text-contact {
    font-size: 18px;
    position: relative;
    color: white;
    background-color: #474747;
    font-family: 'Montserrat-Regular';
    width: 20vw;
    border-radius: 10px;
    height: 150px;
    display: flex;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
    text-align: left;
    transition: background-color 0.8s ease-out;
    padding: 30px;
}

.text-contact p{
    text-align: start;
    width: 70%;
}

.text-contact:hover{
    background-color: rgb(192, 191, 191);
    color: black;
 }
/* 
.animation-first-text-contact {
    animation: first-text-animation 1s ease-in forwards;
}

.animation-second-text-contact {
    animation: second-text-animation 1s 1.5s ease-in forwards;
}

.animation-third-text-contact {
    animation: third-text-animation 1s 3s ease-in forwards;
}

@keyframes first-text-animation {
    0%{
        margin-top: 100%;
    }

    100%{
        margin-top: 0%;
    }
}

@keyframes second-text-animation {
    0%{
        margin-top: 100%;
    }

    100%{
        margin-top: 0%;
    }
}

@keyframes third-text-animation {
    0%{
        margin-top: 100%;
    }

    100%{
        margin-top: 0%;
    }
} */






/** CONTACT FORM **/

.contact-form-section{
    background-image: url(..\\img\\fond-contact.jpg);
    background-size: cover;
    background-position-y: 40%;
}


.englob-form-contact {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.form-contact{
    display: flex;
    flex-direction: column;
    align-items: center;
}


.bg-contact {
    font-size: 50px;
    color: #c29f6a;
    font-family: 'Montserrat-Bold';
    letter-spacing: 2px;
    font-weight: bold;
    padding-bottom: 2%;
    margin-top: 0;
}

  
  .card-section {
    width: 100%;
    position: relative;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  .card-section .row {
    position: relative;
    width: 100%;
    display: grid;
    grid: auto / auto auto;
    grid-template-columns: repeat(auto-fit,minmax(40%, 1fr));
    grid-gap: 30px;
  }
  
  .card-section .row .col {
    position: relative;
    width: 100%;
    margin: 20px 20px 20px 0;
    transition: 0.5s;
  }

  .form-active {
    border: 2px solid aqua !important;
    border-width: 0 0 2px 0 !important;
}
  
  .card-section .row .form-group input,
  .card-section .row .form-group textarea {
    width: 100%;
    background: transparent;
    outline: none;
    font-size: 24px;
    font-family: 'Montserrat-Medium';
    padding: 10px 0 10px 20px;
    border: 2px solid #707070;
    border-width: 0 0 2px 0;
    color: #fff;
    overflow-y: scroll;
    max-height: 120px;
  }

  .card-section .row .form-group label {
    line-height: 40px;
    color: #fff;
    font-size: 20px;
    display: block;
    pointer-events: none;
  }
  
  /* .card-section .row input[type="submit"] {
    border: none;
    padding: 10px;
    height: 100%;
    width: 100%;
    cursor: pointer;
    outline: none;
    background: #313031;
    color: aqua;
    font-family: 'Montserrat-Medium';
    line-height: 50px;
    letter-spacing: 1px;
    font-size: 20px;
    border-radius: 45px;
    transition: all 0.4s;
  } */



  .form-contact-btn{
    margin: 0 auto;
    margin-top: 10%;
    color: aqua;
    border: none;
    cursor: pointer;
    outline: none;
    background: #313031;
    color: aqua;
    font-family: 'Montserrat-Medium';
    line-height: 50px;
    letter-spacing: 1px;
    font-size: 20px;
    border-radius: 45px;
    transition: all 0.4s;
    position: relative;
    z-index: 0;
    overflow: hidden;
    text-align: center;
    width: 60%;
  }

  .right-contact-text{
    display: flex;
    align-items: center;
    justify-content: flex-end;
  }

  .box-contact{
    background-color: #464546;
    border: 1px solid #c29f6a;
    border-radius: 15px;
    padding: 20px 50px 20px 50px;
  }

  .box-contact h1 {
    text-align: left;
    font-size: 16px;
    font-family: 'Montserrat-Bold';
    margin-bottom: 40px;
  }

  .box-contact p {
    font-size: 16px;
    color: white;
    font-family: 'Montserrat-Regular';
    gap: 30px;
  }

  .actions-btns{
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
  }



  
a.btn-anim-gold{
    background-color: var(--main-gold-color);
    color: var(--main-black-color);
    position: relative;
    display: block;
    overflow: hidden;
    z-index: 0;
    text-transform: uppercase;
  }
  
  a.btn-anim-gold:before, a.btn-anim-gold:after{
    content: "";
    box-sizing: border-box;
    transition: 0.5s ease-in-out;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    border-bottom: 80px solid #d6af75;
    z-index: -1;
  }
  
  a.btn-anim-gold:before {
    right: -50px;
    border-right: 50px solid transparent;
    transform: translateX(-100%);
  }
  a.btn-anim-gold:after {
    left: -50px;
    border-left: 50px solid transparent;
    transform: translateX(100%);
  }
  a.btn-anim-gold:hover:before {
    transform: translateX(-40%);
  }
  a.btn-anim-gold:hover:after {
    transform: translateX(40%);
  }

  .scroll-down{
    width: 100%;
    position: absolute;
    bottom: 0;
    height: 60px;
  }
  .scroll-down .chevron-down{
    cursor: pointer;
    display: flex;
    margin: 0 auto;
    width: 50px;
    
    -webkit-animation: fadeInBottom 2s; /* Safari, Chrome and Opera > 12.1 */
    -moz-animation: fadeInBottom 2s; /* Firefox < 16 */
     -ms-animation: fadeInBottom 2s; /* Internet Explorer */
      -o-animation: fadeInBottom 2s; /* Opera < 12.1 */
         animation: fadeInBottom 2s;
  }

  
@keyframes fadeInBottom {
    from {
        opacity: 0;
        transform: translateY(-100%);
    }
    to { opacity: 1 }
}

@-moz-keyframes fadeInBottom {
  from {
      opacity: 0;
      transform: translateY(-100%);
  }
  to { opacity: 1 }
}

@-webkit-keyframes fadeInBottom {
  from {
      opacity: 0;
      transform: translateY(-100%);
  }
  to { opacity: 1 }
}

@-ms-keyframes fadeInBottom {
  from {
      opacity: 0;
      transform: translateY(-100%);
  }
  to { opacity: 1 }
}

@-o-keyframes fadeInBottom {
  from {
      opacity: 0;
      transform: translateY(-100%);
  }
  to { opacity: 1 }
}


#img-map-2{    
    width: 115%;
    height: 110%;
    position: absolute;
    right: 40px;
    top: 30px;
    border-radius: 30px;
}

  /** RESPONSIVE CONTACT PAGE **/
@media (max-height: 900px) and (max-width: 1536px){
    .scroll-down{
        display: none;
     }
}

@media (min-width:1440px) and (max-height:720px) {
    .scroll-down{
       display: none;
    }
}

@media screen and (max-width:1440px) {
    .box-bg-maps{
        top: 20%;
    }
}

@media screen and (min-width:1100px) {

      .every-text-contact{
        align-items: center;
        text-align: center;
        padding-bottom: 100px;
      }

      .all-first-section{
          justify-content: space-between;
          align-items: center;
      }

      .maps-contact {
          margin: 0 auto;
          height: 400px;
      }
      
      .all-first-section{
          padding-top: 180px;
      }
    
      .contact-form-section{
          height: 100dvh;
      }

      .text-contact{
        width: 25vw;
      }

      .text-contact p{
        margin-top: 20px;
        font-size: 15px;
      }

      .icon-img{
        top: -43%;
      }
    
      
}

@media screen and (max-width: 1092px){
    #img-map-2{
        width: 110%;
    }
}

@media screen and (max-width:1024px) {
    .scroll-down{
        height: 90px;
    }
    #img-map-2{
        width: 95%;
        height: 90%;
        right: 70px;
        top: 40px;
    }
}

@media (min-width: 768px) and (max-height: 1200px) and (max-width: 820px){
    .box-bg-maps{
       /* display: none;*/
    }
    .text-contact p{
        font-size: 16px;
    }
}

@media (min-width: 768px) and (max-width: 1100px) {

    .card-section .row {
        grid-template-columns: repeat(auto-fit,minmax(70%, 1fr));
        margin-top: 25px;
    }
      
    .card-section {
        padding: 20px;
    }
      

    .every-text-contact{
        font-size: 15px;
        display: flex;
        justify-content: center;
        align-content: center;
        margin-right: 0;
        margin-left: 0;
        flex-direction: column;
        margin-bottom: 25px;
    }

    .text-contact{
        width: 70vw;
        font-size: 20px;
        display: flex;
        justify-content: center;
        align-content: center;
        text-align: center;
        margin-top: 12%;
        padding-right: 0;
        padding-left: 0;
    }

    .text-contact p{
        margin-top: 30px;
    }

    .titre-page-contact{
        margin-top: 15vh;
        padding-left: 15%;
    }

    .titre-contact{
        margin: 0;
        padding: 0;
        font-size: 35px;
        font-weight: bold;
        font-family: unset;
        color: #c29f6a;
        letter-spacing: 2px;
        width: auto;
        margin-bottom: 35px;
        justify-content: flex-start;
    }

    .description-contact{
        width: 90%;
    }

    .maps-contact{
        margin: 0 auto;
        height: 280px;
        display: flex;
        flex-wrap: nowrap;
        align-content: center;
        justify-content: center;
    }

    .img-maps-contact {
        width: 100%;
        max-width: 100%;
        position: relative;
        display: flex;
        justify-content: center;
        align-self: center;
    }
    
    .maps-iframe{
        width: 40vw;
        height: 300px;
        margin: 0 auto;
        right: 100px;
        top: 170px;
    }

    .box-bg-maps{
        height: 320px;
        width: 440px;
        right: 2%;
        top: 20%;
    }

    .bg-contact{
        top: -15px;
        left: 40px;
        font-size: 35px;
    }
    .form-contact-btn{
        width: 80%;
        margin-top: 40px;
        margin-bottom: 40px;
    }
   
}

@media (min-width: 768px) and (max-width: 991px){
    .right-contact-text{
        justify-content: center;
    }

    .box-bg-maps{
        bottom: 4%;
        height: 320px;
        width: 60vw;
        right: 15%;
        top: auto;
    }
    .maps-iframe{
        position: initial;
        width: 60vw;
    }
    .maps-contact{
        margin-top: 30px;
    }

}


@media screen and (max-width: 991px){
    .box-bg-maps{
        position: initial;
        margin: 10px auto;
        display: flex;
    }
    #img-map-2{
        height: 90%;
        width: 90%;
        position: initial;
        margin: auto;
    }

}

@media screen and (max-width: 820px){
    .contact-form-section{
        width: 70%;
        margin: auto;
    }
}




@media screen and (max-width:768px) {
    .main a{
        padding: 10.5px 30px 10.5px 30px;
    }
    .maps-iframe{
        position: initial;
        width: 60vw;
    }
    .maps-contact{
        margin-top: 30px!important;
    }
    .box-bg-maps{
        bottom: 2%;
        top: auto;
        height: 350px;
        width: 70vw;
    }
    .scroll-down{
        height: 60px;
    }
}

@media (min-width: 576px) and (max-width: 768px) {
    .card-section .row {
        grid-template-columns: repeat(auto-fit,minmax(70%, 1fr));
        margin-top: 25px;
      }
      
      .card-section {
        padding: 20px;
      }
      

      .every-text-contact{
        font-size: 15px;
        display: flex;
        justify-content: center;
        align-content: center;
        margin-right: 0;
        margin-left: 0;
        flex-direction: column;
        margin-bottom: 25px;
    }

    .text-contact{
        width: 70vw;
        font-size: 20px;
        display: flex;
        justify-content: center;
        align-content: center;
        text-align: center;
        margin-top: 15%;
        padding-right: 0;
        padding-left: 0;
    }

    .titre-page-contact{
        margin-top: 15vh;
        padding-left: 20px;
        padding-right: 20px;
    }

    .titre-contact{
        margin: 0;
        padding: 0;
        font-size: 35px;
        font-weight: bold;
        font-family: unset;
        color: #c29f6a;
        letter-spacing: 2px;
        width: auto;
        margin-bottom: 35px;
        justify-content: flex-start;
    }

    .description-contact{
        width: 100%;
        font-size: 15px;
    }

    .maps-contact{
        margin: 0 auto;
        height: 280px;
        display: flex;
        flex-wrap: nowrap;
        align-content: center;
        justify-content: center;
    }

    .img-maps-contact {
        width: 100%;
        max-width: 100%;
        position: relative;
        display: flex;
        justify-content: center;
        align-self: center;
    }
    
   /* .maps-iframe{
        width: 60vw;
        height: 260px;
        margin: 0 auto;
        right: auto;
        top: auto;
        bottom: 30px;
    }*/

    .bg-contact{
        top: -15px;
        left: 40px;
        font-size: 35px;
    }

    .box-bg-maps, .maps-iframe{
        height: 300px;
    }

    .form-contact-btn{
        width: 80%;
        margin-top: 40px;
        margin-bottom: 40px;
    }

}

@media screen and (max-width: 576px) {

    .card-section .row {
        grid-template-columns: repeat(auto-fit,minmax(70%, 1fr));
        margin-top: 25px;
    }
      
    .card-section {
        padding: 20px;
    }
      
    .every-text-contact{
        font-size: 15px;
        display: flex;
        justify-content: center;
        align-content: center;
        margin-right: 0;
        margin-left: 0;
        flex-direction: column;
        margin-bottom: 25px;
        margin-top: 50px;
    }

    .text-contact{
        width: 80vw;
        font-size: 13px;
        display: flex;
        justify-content: center;
        align-content: center;
        text-align: center;
        margin-top: 15%;
        padding-right: 0;
        padding-left: 0;
    }

    .titre-page-contact{
        margin-top: 15vh;
        padding-left: 10%;
    }

    .titre-contact{
        margin: 0;
        padding: 0;
        font-size: 35px;
        font-weight: bold;
        font-family: unset;
        color: #c29f6a;
        letter-spacing: 2px;
        width: auto;
        justify-content: flex-start;
    }

    .titre-page-contact .actions-btns a{
        padding-top: 3px;
        padding-bottom: 3px;
    }

    .description-contact{
        width: 90%;
        margin-bottom: 0;
    }

    .maps-contact{
        margin: 0 auto;
        height: 280px;
        display: flex;
        flex-wrap: nowrap;
        align-content: center;
        justify-content: center;
    }

    .img-maps-contact {
        width: 100%;
        max-width: 100%;
        position: relative;
        display: flex;
        justify-content: center;
        align-self: center;
    }
    
    .maps-iframe{
        width: 90vw;
        height: 250px;
        margin: 0 auto;
        right: auto;
        bottom: 30px;
    }

    .bg-contact{
        top: -15px;
        left: 40px;
        font-size: 35px;
    }

    .box-bg-maps{
        height: 270px;
        width: 440px;
        right: 0%;
        bottom: 40px;
        top: auto;
    }

    .form-contact-btn{
        width: 100%;
        margin-top: 40px;
        margin-bottom: 40px;
    }

    .contact-form-section{
        width: 80vw;
    }


}

@media (min-width: 426px) and (max-width: 576px) {
    .description-contact{
        font-size: 14px;
    }
}

@media screen and (max-width: 430px) {
    .description-contact{
        font-size: 13px;
    }
    .maps-iframe{
        bottom: 60px;
        height: 200px;
        top: auto;
        position: initial;
    }
    .box-bg-maps{
       width: 90vw;
    }

    .maps-contact{
        margin-top: 20px;
    }

    .box-contact{
        padding: 10px;
    }
    .card-section .row .col{
        margin: 0;
    }
    .card-section .row{
        margin-top: 0;
    }
    .scroll-down{
        height: 70px;
    }
    .actions-btns{
        flex-direction: column;
        font-size: 20px;
        line-height: 50px;
        letter-spacing: 1px;
        width: 90%;
    }
    .icon-img{
        width: 60px;
        height: 60px;
    }
    .text-contact p {
        margin-top: 35px;
        word-break: break-all;
    }
    .scroll-down{
        display: none;
    }
    
    .description-contact{
        margin-bottom: 10px;
    }
    .englob-title-text-contact h2{
        font-size: 12px;
    }
}


@media screen and (max-width: 375px) {
    .maps-iframe{
        top: 480px;
    }

    .box-bg-maps{
        top: 65%;
    }

    .titre-contact{
        font-size: 35px;
    }
    .box-bg-maps{
        height: 250px;
    }
}


@media screen and (max-width: 320px) {
    .scroll-down{
        height: 55px;
    }
    .box-bg-maps{
        height: 200px;
    }
    .text-contact p{
        margin-top: 40px;
        word-break: break-all;
    }
}


@media screen and (min-width: 820px) and (max-width: 850px) and (min-height: 1180px) and (max-height: 1200px) {
    .scroll-down{
        display: none;
    }
}


@media only screen and (min-device-width: 768px) and (max-device-width: 1024px) {
    .scroll-down{
        height: 250px; 
    }
}

@media only screen 
  and (min-device-width: 1080px) 
  and (max-device-width: 1200px) 
  and (orientation: landscape) 
  and (-webkit-min-device-pixel-ratio: 2) {
    .text-contact p {
        width: 90%;
    }
}
/** END **/